Skip to content
Search
Search the documentation
GetProjectVotesQuery
GitHub GitHub

GetProjectVotesQuery

Interface: GetProjectVotesQuery

Defined in: v1/types/projects.ts:103

Query parameters for getting project votes.

  • GET /v1/projects/@me/votes

Either cursor or startDate must be provided.

See

https://docs.top.gg/api/v1/votes#get-projectsme-votes

Properties

cursor?

optional cursor?: string

Defined in: v1/types/projects.ts:109

Pagination cursor for fetching the next page of votes. if provided, startDate is ignored.

From the previous response.


startDate?

optional startDate?: string

Defined in: v1/types/projects.ts:117

The start date for fetching votes. Only votes created after this date will be returned. Required if cursor is not provided.

Maximum 1 year in the past.

ISO 8601 date string.